Execute insert query

- « TableInsert::__construct

- TableInsert::values »

- PHP Manual
- mysql_xdevapi\TableInsert
- Execute insert query

# TableInsert::execute

(No version information available, might only be in Git)

TableInsert::execute — Execute insert query

### Description

public mysql_xdevapi\TableInsert::execute(): mysql_xdevapi\Result

Execute the statement.

### Parameters

This function has no parameters.

### Return Values

A Result object.

### Examples

Example #1 mysql_xdevapi\TableInsert::execute() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();
    $session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();
    $session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $table
      ->insert("name", "age")
      ->values(["Suzanne", 31],["Julie", 43])
      ->execute();
    ?>